apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: keycloak-db-sts
spec:
  serviceName: "keycloak-db-svc"
  replicas: 1
  selector:
    matchLabels:
      app: keycloak-db
  template:
    metadata:
      labels:
        app: keycloak-db
    spec:
      imagePullSecrets:
        - name: gitlab-registry-creds
      containers:
        - name: keycloak-db
          image: "{{ .Values.images.postgresDB }}"
          env:
            - name: POSTGRES_DB
              valueFrom:
                configMapKeyRef:
                  name: cm
                  key: KC_POSTGRES_DB
            - name: POSTGRES_USER
              valueFrom:
                secretKeyRef:
                  name: secret
                  key: KC_DB_USERNAME
            - name: POSTGRES_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: secret
                  key: KC_DB_USERNAME
          ports:
            - containerPort: 5432
              name: postgres
          volumeMounts:
            - name: keycloak-db-data
              mountPath: /var/lib/postgresql/data
      volumes:
        - name: keycloak-db-data
          persistentVolumeClaim:
            claimName: keycloak-db-pvc
  podManagementPolicy: OrderedReady
  updateStrategy:
    type: RollingUpdate
